Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.primint
Class IntConstraintMatch

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatch
          org.optaplanner.core.api.score.constraint.primint.IntConstraintMatch

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatch>

    public class IntConstraintMatch

extends ConstraintMatch

See Also:
  Serialized Form

Field Summary
`protected IntConstraintMatchTotal` | `constraintMatchTotal`
`protected int` | `weight`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`justificationList`

Constructor Summary
`IntConstraintMatch(IntConstraintMatchTotal constraintMatchTotal, List<Object> justificationList, int weight)`

Method Summary
`IntConstraintMatchTotal` | `getConstraintMatchTotal()`
`int` | `getWeight()`
`Number` | `getWeightAsNumber()`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`compareTo, getJustificationList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchTotal

    protected final IntConstraintMatchTotal constraintMatchTotal

### weight

    protected final int weight

Constructor Detail

### IntConstraintMatch

    public IntConstraintMatch(IntConstraintMatchTotal constraintMatchTotal,
                              List<Object> justificationList,
                              int weight)

Method Detail

### getConstraintMatchTotal

    public IntConstraintMatchTotal getConstraintMatchTotal()

  Specified by:
    `getConstraintMatchTotal` in class `ConstraintMatch`

### getWeight

    public int getWeight()

### getWeightAsNumber

    public Number getWeightAsNumber()

  Specified by:
    `getWeightAsNumber` in class `ConstraintMatch`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.